SDL_SetWindowResizable(3)

NAME
SDL_SetWindowResizable - Set the user-resizable state of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowResizable(SDL_Window *window, SDL_bool resizable);

DESCRIPTION
This will add or remove the window's SDL_WINDOW_RESIZABLE flag and allow/disallow user resizing of the window. This is a no-op if the window's resizable state already matches the requested state. You can't change the resizable state of a fullscreen window.

FUNCTION PARAMETERS

window
    the window of which to change the resizable state

resizable
    SDL_TRUE
     to allow resizing, SDL_FALSE
     to disallow

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowFlags(3)